{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.home.gaming.enable {
    home = {
      packages = with pkgs; [
        heroic
        prismlauncher
        steam
        steam-run-free
      ];
      persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}" =
        with lib; with config.home; with config.xdg; {
        directories = [
          "games/${removePrefix "${homeDirectory}/" "Games"}"
          "games/${removePrefix "${homeDirectory}/" configHome}/heroic"
          "games/${removePrefix "${homeDirectory}/" dataHome}/PrismLauncher"
          {
            directory = "games/.steam";
            method = "symlink";
          }
          {
            directory = "games/${removePrefix "${homeDirectory}/" dataHome}/Steam";
            method = "symlink";
          }
        ];
      };
    };

    nixpkgs.allowUnfreePackages = [
      "steam"
      "steam-unwrapped"
    ];
  };
}
